/* ***************NAVIGATION**************** */
/* **************************************** */
.navigation {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: center;

  position: fixed;
  top: 0;

  width: 100%;
  height: 8rem;
  padding: 0 4rem;

  z-index: 999;
}

input[type="checkbox"] {
  display: none;
}

.hamburger {
  display: none;
  font-size: 5.2rem;
  font-weight: 600;
  user-select: none;
  color: #fff;
  text-shadow: 1px 1px 0 #999, 1px 1px 0 #999, 1px 1px 0 #999, 1px 1px 0 #000;
}

.nav-links {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;

  font-size: 2rem;
  list-style: none;
}

.nav-links a:link,
.nav-links a:visited {
  display: inline-block;
  /* color: #333; */
  color: #fff;
  text-shadow: 1px 1px 0 #999, 1px 1px 0 #999, 1px 1px 0 #999, 1px 1px 0 #000;
  font-weight: 500;

  margin-right: 5rem;
  text-decoration: none;

  transition: all 0.3s;
}

.nav-links a:hover,
.nav-links a:active {
  color: #dc2f02;
  text-shadow: none;
}

/* ***************HERO SECTION**************** */
/* **************************************** */
header {
  position: relative;
}

.hero-img {
  max-width: 100%;
  height: 100vh;
  width: 100vw;
  object-fit: cover;
}

.hero-text {
  position: absolute;
  bottom: 25%;
  right: 10%;

  max-width: 600px;

  color: #fff;
  line-height: 1.2;
  text-shadow: 3px 1px 7px rgba(0, 0, 0, 0.27);
}

.hero-title {
  font-size: 6.2rem;
}

.hero-para {
  font-size: 2.4rem;
}

/* ***************SERVICES SECTION**************** */
/* **************************************** */
#section-services {
  padding-bottom: 5rem;
}

.services-grid {
  /* max-width: 80%; */
  margin: 0 20%;
  display: grid;

  grid-template-columns: 1fr 1fr;
  grid-template-rows: 1fr 1fr 1fr 1fr 1fr;

  column-gap: 4rem;
  row-gap: 3rem;

  justify-items: center;
  align-items: center;
}

.service-text h1 {
  font-size: 5.2rem;
  color: #aaa;
  line-height: 1.05;
}

.service-text h2 {
  font-size: 3.6rem;
}

.service-text p {
  margin-top: 1rem;
  font-size: 1.8rem;
}

.service-text a:link,
.service-text a:visited {
  margin-top: 1rem;
  display: inline-block;
  font-size: 1.8rem;
  line-height: 2;
  color: #dc2f02;
  text-decoration: none;
}

.service-text a:hover,
.service-text a:active {
  text-decoration: underline;
}

.service-img {
  max-width: 100%;
  height: 100%;
  object-fit: cover;
}

/* ***************HOW IT WORKS SECTION**************** */
/* **************************************** */
.section-how_it_works {
  background-color: #fff;
  display: block;
  padding-top: 0.1rem;
  padding-bottom: 10rem;
}

.how_it_works-grid {
  margin: 0 20%;

  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  column-gap: 5rem;

  text-align: center;
}

.plan {
  background-color: #eee;
  border-radius: 0.3rem;

  padding: 4rem 4rem;
}

.icon {
  font-size: 8rem;
  --ionicon-stroke-width: 16px;
}

.plan p {
  font-size: 1.4rem;
  line-height: 1.5;
}

.plan a {
  display: inline-block;
  margin-top: 2rem;
  text-decoration: none;
  color: #fff;
  font-size: 1.2rem;
  padding: 1rem 2rem;
  background-color: #4eb8f5;
  font-weight: 600;
  border-radius: 0.5rem;
}

/* ***********OUR CUSTOMERS SECTION*********** */
/* **************************************** */
.section-customers {
  overflow: hidden;
  position: relative;
}

.bg-image {
  background-image: url("/images/dog-and-cat.jpg");

  filter: brightness(80%) blur(3px);
  -webkit-filter: brightness(80%) blur(3px);

  background-size: cover;
  background-position: center;

  height: 75rem;
  max-width: 100%;
}

.heading-light {
  color: #fff;
  text-shadow: 3px 1px 7px rgba(0, 0, 0, 0.27);
}

.customers-detail {
  width: 100%;
  position: absolute;
  top: 0;

  top: 0;
  left: 50%;
  transform: translateX(-50%);
}

.customer-container {
  display: flex;
  gap: 4rem;
  margin: 0 20%;
  margin-bottom: 8rem;

  padding: 3rem 4rem;
  background-color: #eee;
  opacity: 80%;
  transform: skewX(-20deg);
}

.customer-container h2 {
  transform: skewX(20deg);
}

.customer-img {
  height: 8rem;
  width: 8rem;
  border-radius: 50%;
  transform: skewX(20deg);
}

.customer-text {
  transform: skewX(20deg);
  font-size: 1.8rem;
}

.customer-text h4 {
  text-align: right;
}

/* ***********NEWSLETTER SECTION*********** */
/* **************************************** */
.section-newsletter {
  margin-bottom: 10rem;
}

.section-newsletter .main-heading {
  margin-bottom: 1rem;
}

.newsletter-container {
  margin: 0 20%;
  text-align: center;
}

.newsletter-container p {
  font-size: 2rem;
}

.newsletter-input {
  padding: 1rem 2rem;
  margin: 3rem auto;
  width: 60%;
  font-size: 1.6rem;

  display: block;
  align-self: flex-start;
}

/* ***********MEDIA QUERIES*********** */
/* **************************************** */

/* SMALLER DESKTOPS OR TABLET IN LANDSCAPE */
@media only screen and (max-width: 1280px) {
  .hero-text {
    right: 5%;
  }

  .services-grid,
  .how_it_works-grid,
  .newsletter-container {
    margin: 0 15%;
  }

  .customer-container {
    margin: 0 15%;
    margin-bottom: 8rem;
  }
}

/* TABLETS */
@media only screen and (max-width: 768px) {
  html {
    font-size: 40% !important;
  }

  /* NAVBAR */
  .navigation {
    justify-content: space-between;
  }

  .logoContainer {
    position: absolute;
    top: 2rem;
    left: 2rem;
    z-index: 9999;
  }

  .nav-links {
    /* display: none; */
    opacity: 0;
    pointer-events: none;
    visibility: hidden;
  }

  .hamburger {
    display: inline-block;
    position: absolute;
    top: 2rem;
    right: 2rem;
    cursor: pointer;
    z-index: 9999;
  }

  input[type="checkbox"]:checked~.nav-links a {
    padding: 2rem 0;
    font-size: 3rem;
    color: #333;
    font-weight: 500;
    text-shadow: none;
  }

  input[type="checkbox"]:checked~.nav-links {
    display: flex;
    flex-direction: column;
    opacity: 1;
    pointer-events: auto;
    visibility: visible;

    text-align: center;
    position: absolute;
    top: 0;
    right: 50%;
    transform: translateX(50%);

    background-color: #fcf3e7;

    width: 100%;
    padding-top: 8rem;
  }

  .hero-text {
    left: 5%;
    bottom: 10%;
  }

  .services-grid,
  .how_it_works-grid,
  .newsletter-container {
    margin: 0 10%;
  }

  .customer-container {
    margin: 0 10%;
    margin-bottom: 6rem;
  }
}

/* MOBILE PHONES */
@media only screen and (max-width: 480px) {
  .hero-img {
    object-position: left;
  }

  .services-grid,
  .how_it_works-grid,
  .newsletter-container,
  .customer-container {
    margin: 0 5%;
  }

  .customer-container {
    margin-bottom: 5rem;
  }

  .bg-image {
    height: 88rem;
    max-width: 100%;
  }

  .how_it_works-grid {
    margin: 0 15%;
    grid-template-columns: 1fr;
    row-gap: 5rem;
  }

  .plan {
    padding: 6rem 8rem;
  }

  .plan p {
    line-height: 2;
  }

  .icon {
    font-size: 10rem;
  }
}